> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/cosmos-hub/cosmos-gov-v1beta1-proposals-proposal_id-deposits-depositor.md).

# /cosmos/gov/v1beta1/proposals/{proposal\_id}/deposits/{depositor}

Deposit queries single deposit information based proposalID, depositAddr.

#### **Parameters:**

**proposal\_id - string**, proposal\_id defines the unique id of the proposal.

**depositor - string**, depositor defines the deposit addresses from the proposals.

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X GET -H 'Content-Type: application/json' https://cosmos.blockpi.network/lcd/v1/<your-api-key>/cosmos/gov/v1beta1/proposals/99/deposits/cosmos1ykhysgmsnju92p7lny34km2uywqwpjcgzuxnut

// Result
{
    "deposit": {
        "proposal_id": "99",
        "depositor": "cosmos1ykhysgmsnju92p7lny34km2uywqwpjcgzuxnut",
        "amount": [
            {
                "denom": "uatom",
                "amount": "50000000"
            }
        ]
    }
}
```

{% endcode %}
